
import React from 'react';
import Icon from 'react-icon-base';

const SlMagicWand = props => (
    <Icon viewBox="0 0 1024 1024" {...props}>
        <g><path transform="scale(1, -1) translate(0, -960)" d="M1020.51 530.624l-102.783 153.678l51.1523 178.816c3.18359 11.2158 0.0634766 23.2803 -8.22461 31.5039c-8.25586 8.25586 -20.2559 11.3115 -31.5361 8.03125l-178.512 -52.1279l-154.288 103.904c-9.71191 6.52832 -22.1602 7.3125 -32.4639 1.93652 c-10.3682 -5.31152 -17.0244 -15.8711 -17.4082 -27.5029l-5.53613 -185.936l-146.496 -114.592c-9.18359 -7.18359 -13.7119 -18.8154 -11.8721 -30.3193s9.80762 -21.0879 20.8154 -25.0234l137.456 -49.2803c-0.927734 -0.736328 -1.90332 -1.39258 -2.76758 -2.25684 l-530.752 -530.752c-12.4961 -12.4961 -12.4961 -32.752 0 -45.248c6.25586 -6.25586 14.4316 -9.37598 22.624 -9.37598c8.1924 0 16.3682 3.12012 22.624 9.37598l530.752 530.752c2.06445 2.06445 3.66406 4.40039 5.04004 6.81641l53.792 -147.552 c4 -10.9443 13.6318 -18.8486 25.1514 -20.6562c1.63184 -0.255859 3.28027 -0.368164 4.91211 -0.368164c9.80762 0 19.1836 4.52832 25.3115 12.4326l113.776 147.168l183.904 6.55957c11.6641 0.400391 22.1602 7.12012 27.4404 17.5361 c5.26367 10.3838 4.44727 22.8477 -2.1123 32.4795zM794.049 537.454c-9.50391 -0.320312 -18.3682 -4.88184 -24.1924 -12.4014l-87.4717 -113.104l-48.9756 134.32c-3.24805 8.94434 -10.3203 15.9365 -19.2803 19.1523l-134.592 48.2559l112.624 88.0645 c7.50391 5.87207 11.9678 14.752 12.2881 24.2559l4.25586 142.944l118.592 -79.8721c7.9043 -5.31152 17.7764 -6.81543 26.8486 -4.19141l137.248 40.0957l-39.3438 -137.472c-2.5918 -9.15234 -1.00781 -18.9766 4.33594 -26.8486l80.5596 -118.128z"/></g>
    </Icon>
);

export default SlMagicWand;
